### Method

# ECal Component get_comments

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_comments (
      ECalComponent* comp
    )

#### Description [src]

Queries the comments of a calendar component object. The comment property can appear several times inside a calendar component, and so a list of `ECalComponentText` is returned. Free the returned `GSList` with g_slist_free_full (slist, e_cal_component_text_free);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ECalComponentText*`

The comment properties and their parameters, as a list of `ECalComponentText` structures; or `NULL`, when the component doesn’t contain any.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.